let film = {
    cimHu : "Eredet",
    megjelenesiEv : 2010,
    idotartam : 148,
    korhatar : 13,
    megjelent : true,

    korhatarEllenorzes: function(kor){
        if (!isNaN(kor)){
            if (kor < 0){
                return `Nem lehet a felhasználó negatív éves.`
            }
    
    
    
            if (kor >= this.korhatar) {
                return `Megnézheti a filmet!`;
            } else {
                return `Nem nézheted meg a filmet!`;
            }
        } else {
            return `Nem számot adtál meg.`
        }
        
    },

    filmAdatok : function(){
        return `
        A film címe: ${this.cimHu}<br>
        Megjelenési éve: ${this.megjelenesiEv}<br>
        Időtartama: ${this.idotartam} perc<br>
        Korhatár: ${this.korhatar}<br>
        Megjelent: ${this.megjelent ? "Igen" : "Nem"}`;
    }

}

document.getElementById("c_feladat").innerHTML = film.korhatarEllenorzes(prompt("Add meg a korod!"));
document.getElementById("d_feladat").innerHTML = film.filmAdatok();
// 